// main.c
// Desenvolvido para a placa EK-TM4C1294XL
// Verifica se recebeu alguma coisa pela serial e acende um dos leds de acordo com o caractere recebido
// Verifica o estado da chave USR_SW2, e, caso seja pressionada envia o caracter A pela serial
// Prof. Guilherme Peron

#include <stdint.h>

void PLL_Init(void);
void SysTick_Init(void);
void SysTick_Wait1ms(uint32_t delay);
void GPIO_Init(void);
uint32_t PortJ_Input(void);
void PortN_Output(uint32_t leds);
void Uart0_Init(void);
uint8_t Uart0_Rcv(void);
void Uart0_Send(uint8_t dado);


int main(void)
{
    uint8_t dadoRcv;
	PLL_Init();
	SysTick_Init();
	GPIO_Init();
    Uart0_Init();
	while (1)
	{
        dadoRcv = Uart0_Rcv();
        switch (dadoRcv)
        {
            case '1':
                PortN_Output(0x1);
                break;
            case '2':
                PortN_Output(0x2);
                break;
            case 't':
                PortN_Output(0x3);
                break;            
            case '0':
            // default:                
                PortN_Output(0x0);
                break;            
        }
            
		if (PortJ_Input() == 0x1)
        {
            SysTick_Wait1ms(50);            //Debounce
            //PortN_Output(0x3);              //Acender o LED
            while (PortJ_Input() == 0x1) {} //Esperar enquanto a tecla fica presa
            //PortN_Output(0x0);
            Uart0_Send('A');
            SysTick_Wait1ms(50);             //Debounce
        }
			
	}
}
